{
  config,
  lib,
  pkgs,
  ...
}:

let
  cfg = config.programs.nvim-lazy;
  inherit (pkgs.callPackage ../../pkgs { }) wrapNeovimLazy;
in
{
  imports = [
    ./options.nix
  ];

  config = lib.mkIf cfg.enable {
    programs.nvim-lazy.finalPackage =
      (wrapNeovimLazy cfg.package {
        inherit (cfg)
          luaRcContent
          lazyConfig
          lazyPlugins
          vPlug
      });
  };
}
